Ultima versione
Versione stabile:
3.1.5
 
Servizi
» Cerca
 
Cerca
Ricerca parole o frasi all’interno del sito.
 
Statistiche
Visite: 122685
 
Donazioni
Flatnuke e' software libero ed e' distribuito grautitamente. Se pensi che flatnuke ti sia stato in qualche modo di aiuto, puoi contribuire con una donazione libera:

Vuoi saperne di piu'?

 
Login





Non sei ancora registrato?
Registrati ora!
Recupera password
Choose your language:
deutsch english espa?ol fran?ais italiano portugu?s
 
Utenti
Persone on-line:
admins 0 amministratori
users 0 utenti
guests 1 ospiti
 
Netsons Ads

Forum



Benvenuto sconosciutoModifica profiloEntraAiuto 1038 utenti registrati

Navigazione:

[ Forum / Flatnuke / Flatnuke - Installazione e aggiornamento / Problemi con easyPHP? ]

Vai alla pagina:
  > >>

UtenteMessaggio
ZEBDEMON
ZEBDEMON

0
10
Livello 0

levellevellevellevellevellevellevellevellevellevel
profile home page
Jabber Skype
Lunedi 24 Ottobre 2011 13:45:28

Problemi con easyPHP?

un utente segnala problemi con easyphp 1.8 che restituisce il seguente errore:

Cannot instantiate non-existent class: simplexmlelement in c:programmieasyphp1-8wwwflatnuke-3.0.0flatnewsincludenews_functions.php on line 1351

--
..Stand Tall & Shake the Heavens..
marcosegato
marcosegato

0
10
Livello 10

levellevellevellevellevellevellevellevellevellevel
profile home page
Jabber Skype
Lunedi 24 Ottobre 2011 14:03:16

Re: Problemi con easyPHP?

EasyPHP 1.8 ha la versione 4.3.10 di PHP, l'estensione SimpleXML ha come prerequisito PHP in versione 5.
Tra l'altro la 1.8 è del 2006, digli di aggiornare che è meglio...

--
Linux Registered User 265651
arpierm
arpierm

0
10
Livello 0

levellevellevellevellevellevellevellevellevellevel
profile home page
Lunedi 24 Ottobre 2011 14:45:50

Ultima modifica di arpierm (Lunedi 24 Ottobre 2011 14:46:27)

Re: Problemi con easyPHP?

l'utente in questione sono io grazie aZEBDEMON che mi ha postato nel "posto" giusto...anche aggiornando easyphp all'ultima versione addirittura flatnuke 3 non si apre...provare per credere !!!

EasyPHP 5.3.8.1:

PHP 5.3.8 VC9 Apache 2.2.21 VC9 MySQL 5.5.16 PhpMyAdmin 3.4.5 Xdebug 2.1.2

a dire il vero neanche la 2.7.2 si apre !!!
Respect
Respect

0
10
Livello 0

levellevellevellevellevellevellevellevellevellevel
profile home page
Lunedi 24 Ottobre 2011 16:18:48

Ultima modifica di Respect (Lunedi 24 Ottobre 2011 16:29:14)

Re: Problemi con easyPHP?

Vedo solo adesso.
Ho aperto un'altra discussione riguardo questo errore che mi capita su un sito online su Aruba/Linux.

Vedo ora che phpinfo mi ritorna:
PHP Version 4.4.9

E' una condizione bloccante?

--
http://www.codedibosco.it
ZEBDEMON
ZEBDEMON

0
10
Livello 0

levellevellevellevellevellevellevellevellevellevel
profile home page
Jabber Skype
Lunedi 24 Ottobre 2011 16:31:34

Re: Problemi con easyPHP?

Respect ha scritto:
Vedo solo adesso.
Ho aperto un'altra discussione riguardo questo errore che mi capita su un sito online su Aruba/Linux.

Vedo ora che phpinfo mi ritorna:
PHP Version 4.4.9

E' una condizione bloccante?


si, php5 è indispensabile.
devi attivare php5 da qualche parte nel pannello di controllo di aruba (non ricordo esattamente dove).

--
..Stand Tall & Shake the Heavens..
bebabi34
bebabi34

0
10
Livello 10

levellevellevellevellevellevellevellevellevellevel
profile home page
Skype
Lunedi 24 Ottobre 2011 18:10:20

Re: Problemi con easyPHP?

ZEBDEMON ha scritto:
devi attivare php5 da qualche parte nel pannello di controllo di aruba (non ricordo esattamente dove).

Aruba.it Control Panel > Pannello gestione Hosting > Strumenti e impostazioni > Scelta della versione PHP > 5.3.8 > ok > chiudi
marcosegato
marcosegato

0
10
Livello 10

levellevellevellevellevellevellevellevellevellevel
profile home page
Jabber Skype
Lunedi 24 Ottobre 2011 20:28:59

Re: Problemi con easyPHP?

arpierm ha scritto:
anche aggiornando easyphp all'ultima versione addirittura flatnuke 3 non si apre...provare per credere !!!

"Non si apre" significa che non hai errori ma la pagina è completamente bianca? O vedi in chiaro il codice PHP delle pagine?

--
Linux Registered User 265651
arpierm
arpierm

0
10
Livello 0

levellevellevellevellevellevellevellevellevellevel
profile home page
Martedi 25 Ottobre 2011 08:49:42

Re: Problemi con easyPHP?

Scusami non si apre per me significa che vedo solo questo (un pezzo):
* @license http://opensource.org/licenses/gpl-license.php GNU General Public License */ /** * Contiene funzioni condivise tra il forum e il core di FlatNuke */ include_once("shared.php"); include_once("flatnews/include/news_functions.php"); /** * Funzione che inizializza le costanti legate a Flatnuke. * * @author Aldo Boccacci * @since 3.0 */ function create_fn_constants(){ define("_FN_MOD",get_mod()); define("_FN_USERNAME",get_username()); define("_FN_FILE",get_file_var()); define("_FN_VAR_DIR",get_fn_dir("var")); define("_FN_USERS_DIR",get_fn_dir("users")); define("_FN_BLOCKS_DIR",get_fn_dir("blocks")); define("_FN_THEME_DIR",get_fn_dir("theme")); define("_FN_SECTIONS_DIR",get_fn_dir("sections")); $userprofile = load_user_profile(_FN_USERNAME); define("_FN_USERPASSWORD",$userprofile['password']); define("_FN_USERAVATAR",$userprofile['avatar']); define("_FN_IS_ADMIN",is_admin()); define("_FN_IS_USER",is_user()); if (_FN_IS_ADMIN or _FN_IS_USER){ define("_FN_IS_GUEST",FALSE); define("_FN_USERLEVEL",$userprofile['level']); } else { define("_FN_IS_GUEST",TRUE); define("_FN_USERLEVEL","-1"); } define("_FN_SECT_LEVEL",getsectlevel(_FN_MOD)); define("_FN_USER_CAN_VIEW_SECTION",user_can_view_section(_FN_MOD)); define("_FN_IS_NEWS_MODERATOR",is_news_moderator(_FN_USERNAME)); } /** * Visualizza una sezione * * Visualizza il contenuto della sezione passata come parametro. * * @author Simone Vellei * * @param string $section Nome assoluto della sezione da visualizzare */ function view_section($section){ if (file_exists("include/redefine/view_section.php")){ include("include/redefine/view_section.php"); return; } global $theme; // security checks $section = getparam($section,PAR_NULL,SAN_FLAT); $file = get_file_var(); $mode = getparam("mode", PAR_GET, SAN_FLAT); // prevents to go up/down to other directories if(stristr($section,"..")) die(_NONPUOI); if(stristr($file,"..")) die(_NONPUOI); // check if section really exists if(!file_exists("sections/$section")) { OpenTable(); print("
"._SECTNOTEXIST.".......................


Credo sia il codice !!!
arpierm
arpierm

0
10
Livello 0

levellevellevellevellevellevellevellevellevellevel
profile home page
Mercoledi 26 Ottobre 2011 10:31:40

Re: Problemi con easyPHP?

...ho risolto modificando due righe del php.ini in questo modo:

short_open_tag = On
error_reporting = E_ALL & ~E_DEPRECATED

ora tutto funziona...

Comunque grazie !!
aldoboccacci
aldoboccacci

0
10
Livello 10

levellevellevellevellevellevellevellevellevellevel
profile home page
Skype
Mercoledi 26 Ottobre 2011 14:38:39

Re: Problemi con easyPHP?

la prossima versione non avrà questo problema, sto lavorando per convertire tutti gli short_tags.

--
risorse per flatnuke: http://www.aldoboccacci.it

Vai alla pagina:
  > >>

print

Freely inspired to Mollio template